## libdbd-sybase-perl 1.24

=== debian/changelog ===
libdbd-sybase-perl (1.24-3) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Set Homepage.

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jan 2025 22:21:36 +0100

libdbd-sybase-perl (1.24-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer back to Steve, I misread the fact that he was open
    to eventually orphan, not to do it now, sorry for that

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Apr 2024 17:27:48 +0200

libdbd-sybase-perl (1.24-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA, as per maintainer intention to orphan
    the package. Thanks <vorlon> for your work!
  * Drop makefile.patch
  * Refresh patches
  * Std-version to 4.6.2, no changes required.
  * bump compat level to 13
  * Drop old dependencies on perl/dpkg and similar
  * Drop version constraints
  * New upstream release (Closes: #1065789, #1066200,
    Closes: #1036692, #1050248, #706392).
  * Drop dh_auto_configure override
  * Drop cflags append on rules file, it isn't considered on upstream Makefile
  * Set R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Apr 2024 08:03:20 +0200

libdbd-sybase-perl (1.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.  Closes: #1007596.
  * Drop Vcs fields.  Closes: #1031984.

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 14:05:19 +0000

libdbd-sybase-perl (1.14-1) unstable; urgency=low

  * New upstream release.
    - Fix build failure with perl 5.14.  Closes: #629255.

 -- Steve Langasek <vorlon@debian.org>  Fri, 18 Nov 2011 09:28:37 -0800

libdbd-sybase-perl (1.09-3) unstable; urgency=low

  * export DEB_MAINT_CFLAGS_APPEND, so it actually gets picked up.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Oct 2011 03:24:47 +0000

libdbd-sybase-perl (1.09-2) unstable; urgency=low

  * Build-depend on the latest and greatest debhelper, which knows how to
    pass OPTIMIZE for us.

 -- Steve Langasek <vorlon@debian.org>  Wed, 05 Oct 2011 20:15:27 +0000

libdbd-sybase-perl (1.09-1) unstable; urgency=low

  * New upstream release.  Closes: #329526.
    - includes upstream fix for handling two sequential prepare()s without
      an execute().  Closes: #269198.
  * dbdimp.c: Add a patch from Raphael Descamps <raphael.descamps@1und1.de>
    to disable BLK_VERSION_* checks if NO_BLK isn't defined.
  * Add debian/watch file.
  * Makefile.PL: if libct isn't found on the filesystem, assume it's
    FreeTDS - fixing a build failure with multiarched freetds.
    Closes: #643502.
  * Switch to dh(1) and debhelper compat 8.
  * Build-depend on libdbi-perl (>= 1.612-1) for dh_perl_dbi, so we get a
    DBI ABI identifier in our package dependencies.  Closes: #577513.
  * Add ${misc:Depends} to make debhelper and lintian happy
  * Set Vcs-Bzr/Vcs-Browser in debian/control.
  * Bump policy-version to 3.9.2.
  * Put the manpage in the right '3pm' section, not '3perl' which is
    apparently meant only for perl itself.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Sep 2011 17:42:20 +0000

libdbd-sybase-perl (1.00-3) unstable; urgency=low

  * Rebuild against freetds 0.63-1 (closes: #319269).

 -- Steve Langasek <vorlon@debian.org>  Mon,  6 Jun 2005 02:03:42 -0700

libdbd-sybase-perl (1.00-2) unstable; urgency=low

  * Change package section to perl.
  * Add a missing dependency on libdbi-perl (closes: #309546).

 -- Steve Langasek <vorlon@debian.org>  Wed, 25 May 2005 02:33:48 -0700

libdbd-sybase-perl (1.00-1) unstable; urgency=low

  * New upstream release
  * Replace multiline strings with string concatenation and explicit
    newlines, to placate gcc-3.3 (closes: #194229).

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 May 2003 20:54:24 -0500

libdbd-sybase-perl (0.93-4) unstable; urgency=low

  * Rebuild against freetds 0.61 (libct1).
  * Update standards-version to 3.5.8.
  * Move the manpage to section 3perl, per policy.

 -- Steve Langasek <vorlon@debian.org>  Wed,  5 Feb 2003 23:47:09 -0600

libdbd-sybase-perl (0.93-3) unstable; urgency=low

  * Rebuild against new freetds lib package name. Adjust build-dep
    versioning accordingly.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Sep 2002 15:41:23 -0500

libdbd-sybase-perl (0.93-2) unstable; urgency=low

  * Rebuild against perl 5.8.0.

 -- Steve Langasek <vorlon@debian.org>  Sun, 25 Aug 2002 00:32:11 -0500

libdbd-sybase-perl (0.93-1) unstable; urgency=low

  * Initial Release (closes: #121060).

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Nov 2001 23:47:49 -0600

Local variables:
mode: debian-changelog
End:
