=== debian/control ===
Source: libdbd-sybase-perl
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13), freetds-dev, libdbi-perl
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/mpeppler/DBD-Sybase

Package: libdbd-sybase-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sybase/MS SQL database driver for the DBI module
 DBD::Sybase is a Perl module which works with the DBI module to provide
 access to Sybase and Microsoft SQL databases.
