=== debian/rules ===
#!/usr/bin/make -f

export SYBASE=/usr

%:
	dh $@ --with perl_dbi

override_dh_auto_test:
