## libdbd-sybase-perl 1.26

=== debian/changelog ===
libdbd-sybase-perl (1.26-2) unstable; urgency=medium

  * Team upload.
  * Replace "--with perl_dbi" (d/rules) with
    dh-sequence-perl-dbi (d/control).
  * Remove <!nocheck> from libdbi-perl, needed for build by Makefile.PL.
  * Add debian/upstream/metadata.
  * autopkgtests: skip smoke test like during build.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Sep 2025 16:26:42 +0200

libdbd-sybase-perl (1.26-1) unstable; urgency=medium

  * Adopt QA maintained package into Perl Group
    Closes: #1093561
  * Fix Homepage
  * Fix watch file
  * Add perl-xs-dev to Build-Depends
    Closes: #1102850
  * Depends: libdbi-perl
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/copyright: review
  * d/rules: hardening options
  * DEP3

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2025 14:51:40 +0200
