=== debian/control ===
Source: libdbd-sybase-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends: debhelper-compat (= 13),
               dh-sequence-perl-dbi,
               freetds-dev,
               libdbi-perl,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbd-sybase-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbd-sybase-perl.git
Homepage: https://metacpan.org/release/DBD-Sybase

Package: libdbd-sybase-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libdbi-perl
Description: Sybase/MS SQL database driver for the DBI module
 DBD::Sybase is a Perl module which works with the DBI module to provide
 access to Sybase and Microsoft SQL databases.
