=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export SYBASE=/usr

%:
	dh $@

override_dh_auto_test:
