=== debian/watch ===
version=4
https://metacpan.org/release/DBD-Sybase   .*/DBD-Sybase-v?@ANY_VERSION@@ARCHIVE_EXT@$
